Bug 244234 - devel/valgrind: Fix build with clang 10.0.0
Summary: devel/valgrind: Fix build with clang 10.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks: 244251
  Show dependency treegraph
 
Reported: 2020-02-19 19:42 UTC by Dimitry Andric
Modified: 2020-02-21 21:30 UTC (History)
0 users

See Also:
zeising: maintainer-feedback+
zeising: merge-quarterly?


Attachments
Fix compiler version detection hopefully forever (2.68 KB, patch)
2020-02-19 19:42 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2020-02-19 19:42:50 UTC
Created attachment 211765 [details]
Fix compiler version detection hopefully forever

Every time a compiler major version is bumped, we run into this exact
same error:

===>  Configuring for valgrind-3.10.1.20160113_7,1
...
checking for a supported version of gcc... no (10.0.0)
configure: error: please use gcc >= 3.0 or clang >= 2.9

Attempt to fix this for all versions in the future.

Other fix included: don't use undefined behavior to implement offsetof,
just use the official builtin function instead.
Comment 1 Niclas Zeising freebsd_committer 2020-02-20 19:27:47 UTC
Approved
Comment 2 Niclas Zeising freebsd_committer 2020-02-21 08:47:03 UTC
This was merged in r526608 but this PR was never tagged.
Comment 3 commit-hook freebsd_committer 2020-02-21 21:30:24 UTC
A commit references this bug:

Author: dim
Date: Fri Feb 21 21:30:00 UTC 2020
New revision: 526719
URL: https://svnweb.freebsd.org/changeset/ports/526719

Log:
  MFH: r526608

  devel/valgrind(-devel): Fix compiler version detection hopefully forever

  Every time a compiler major version is bumped, we run into this exact
  same error:

  ===>  Configuring for valgrind-3.10.1.20160113_7,1
  ...
  checking for a supported version of gcc... no (10.0.0)
  configure: error: please use gcc >= 3.0 or clang >= 2.9

  Attempt to fix this for all versions in the future.

  Other fix included: don't use undefined behavior to implement offsetof,
  just use the official builtin function instead.

  Approved by:	portmgr (joneum)
  PR:		244234

Changes:
_U  branches/2020Q1/
  branches/2020Q1/devel/valgrind/Makefile
  branches/2020Q1/devel/valgrind/files/patch-VEX_auxprogs_genoffsets.c
  branches/2020Q1/devel/valgrind/files/patch-configure.ac
  branches/2020Q1/devel/valgrind-devel/Makefile
  branches/2020Q1/devel/valgrind-devel/files/patch-VEX_auxprogs_genoffsets.c
  branches/2020Q1/devel/valgrind-devel/files/patch-configure.ac